ExceptionConfig (Apache Struts API Documentation)
Keywords: org.apache.struts.config.ExceptionConfig,ExceptionConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ExceptionConfig

    java.lang.Object
      |
      +--org.apache.struts.config.ExceptionConfig

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActionException

public class ExceptionConfig
extends java.lang.Object
implements java.io.Serializable

A JavaBean representing the configuration information of an `<exception>` element from a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `bundle` The servlet context attribute under which the message resources bundle to be used for this exception is located.
`protected boolean` | `configured` Has this component been completely configured?
`protected java.lang.String` | `handler` The fully qualified Java class name of the exception handler class which should be instantiated to handle this exception.
`protected java.lang.String` | `key` The message resources key specifying the error message associated with this exception.
`protected java.lang.String` | `path` The module-relative path of the resource to forward to if this exception occurs during an `Action`.
`protected java.lang.String` | `scope` The scope in which we should expose the ActionError for this exception handler.
`protected java.lang.String` | `type` The fully qualified Java class name of the exception that is to be handled by this handler.

Constructor Summary
`ExceptionConfig()`

Method Summary
`void` | `freeze()` Freeze the configuration of this component.
`java.lang.String` | `getBundle()`
`java.lang.String` | `getHandler()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getScope()`
`java.lang.String` | `getType()`
`void` | `setBundle(java.lang.String bundle)`
`void` | `setHandler(java.lang.String handler)`
`void` | `setKey(java.lang.String key)`
`void` | `setPath(java.lang.String path)`
`void` | `setScope(java.lang.String scope)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### configured

    protected boolean configured

  Has this component been completely configured?

### bundle

    protected java.lang.String bundle

  The servlet context attribute under which the message resources bundle to be used for this exception is located. If not set, the default message resources for the current module is assumed.

### handler

    protected java.lang.String handler

  The fully qualified Java class name of the exception handler class which should be instantiated to handle this exception.

### key

    protected java.lang.String key

  The message resources key specifying the error message associated with this exception.

### path

    protected java.lang.String path

  The module-relative path of the resource to forward to if this exception occurs during an `Action`.

### scope

    protected java.lang.String scope

  The scope in which we should expose the ActionError for this exception handler.

### type

    protected java.lang.String type

  The fully qualified Java class name of the exception that is to be handled by this handler.

Constructor Detail

### ExceptionConfig

    public ExceptionConfig()

Method Detail

### getBundle

    public java.lang.String getBundle()

### setBundle

    public void setBundle(java.lang.String bundle)

### getHandler

    public java.lang.String getHandler()

### setHandler

    public void setHandler(java.lang.String handler)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### freeze

    public void freeze()

  Freeze the configuration of this component.

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation